Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1604004 - Unable to collect disk info from AWS
Summary: Unable to collect disk info from AWS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.5
Assignee: Daniel Berger
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-19 19:52 UTC by David Luong
Modified: 2018-08-07 14:36 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-07 14:36:30 UTC
Category: Bug
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)

Description David Luong 2018-07-19 19:52:37 UTC
Description of problem:
Unable to collect disk info from AWS, EBS Storage Manager is missing

Version-Release number of selected component (if applicable):
5.8.2

How reproducible:
Always (for them)

Steps to Reproduce:
1.  Add AWS Provider
2.
3.

Actual results:
Disk info is present

Expected results:
Disk info is not there

Additional info:

Comment 10 Adam Grare 2018-07-24 19:41:18 UTC
Here are the steps to create a storage manager for an existing cloud manager:

ems = ManageIQ::Providers::Amazon::CloudManager.first  # or find_by(:name => "") if there is more than 1
ebs = ems.build_ebs_storage_manager
ebs.name = "#{ems.name}  EBS Storage Manager"
ebs.provider_region = ems.provider_region
ebs.zone = ems.zone
ebs.save!

Comment 14 Daniel Berger 2018-08-07 13:53:40 UTC
I believe we have a migration in place to handle this already:

https://github.com/ManageIQ/manageiq-schema/pull/117


Note You need to log in before you can comment on or make changes to this bug.